Releases
List Releases
Section titled “List Releases”GET /releases/{application_id}Path parameters:
| Name | Type | Description |
|---|---|---|
application_id | string |
Response:
{ "items": [ { "id": "string", "version": 0, "application_id": "string", "platform": "string", "built": true, "error": true, "created": {}, "updated": {} } ], "pagination": {}}Get Release
Section titled “Get Release”GET /releases/{release_id}/detailPath parameters:
| Name | Type | Description |
|---|---|---|
release_id | string |
Response:
{ "id": "string", "version": 0, "application_id": "string", "platform": "string", "repository_name": "string", "release_id": {}, "image": {}, "configuration": {}, "image_changes": {}, "configuration_changes": {}, "built": true, "error": true, "error_detail": {}, "dockerfile": {}, "release_metadata": {}, "commit_sha": {}, "health_check_path": "string", "health_check_host": {}, "created": {}, "updated": {}}Get Release Log
Section titled “Get Release Log”GET /releases/{release_id}/logPath parameters:
| Name | Type | Description |
|---|---|---|
release_id | string |
Response:
{ "status": "string", "version": 0, "log_text": {}, "error": true, "error_detail": {}, "build_step": {}}Create Release
Section titled “Create Release”POST /releases/{application_id}/createPath parameters:
| Name | Type | Description |
|---|---|---|
application_id | string |
Response:
{ "ok": true, "release_id": "string", "version": 0}Deploy Release
Section titled “Deploy Release”POST /releases/{release_id}/deployPath parameters:
| Name | Type | Description |
|---|---|---|
release_id | string |
Response:
{ "ok": true, "deployment_id": "string"}